<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetCCAProfilesReq StructType
 * @subpackage Structs
 */
class GetCCAProfilesReq extends AbstractStructBase
{
    /**
     * The ccaId
     * Meta information extracted from the WSDL
     * - choice: ccaId | uuid
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 1
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $ccaId;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - choice: ccaId | uuid
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 1
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * The returnedTags
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\RCCAProfiles
     */
    public $returnedTags;
    /**
     * The sequence
     * Meta information extracted from the WSDL
     * - use: optional
     * @var int
     */
    public $sequence;
    /**
     * Constructor method for GetCCAProfilesReq
     * @uses GetCCAProfilesReq::setCcaId()
     * @uses GetCCAProfilesReq::setUuid()
     * @uses GetCCAProfilesReq::setReturnedTags()
     * @uses GetCCAProfilesReq::setSequence()
     * @param string $ccaId
     * @param string $uuid
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\RCCAProfiles $returnedTags
     * @param int $sequence
     */
    public function __construct($ccaId = null, $uuid = null, \\Losc\CucmBundle\Model\Webservice\StructType\RCCAProfiles $returnedTags = null, $sequence = null)
    {
        $this
            ->setCcaId($ccaId)
            ->setUuid($uuid)
            ->setReturnedTags($returnedTags)
            ->setSequence($sequence);
    }
    /**
     * Get ccaId value
     * @return string
     */
    public function getCcaId()
    {
        return isset($this->ccaId) ? $this->ccaId : null;
    }
    /**
     * Set ccaId value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $ccaId
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetCCAProfilesReq
     */
    public function setCcaId($ccaId = null)
    {
        if (is_null($ccaId) || (is_array($ccaId) && empty($ccaId))) {
            unset($this->ccaId);
        } else {
            $this->ccaId = $ccaId;
        }
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return isset($this->uuid) ? $this->uuid : null;
    }
    /**
     * Set uuid value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetCCAProfilesReq
     */
    public function setUuid($uuid = null)
    {
        if (is_null($uuid) || (is_array($uuid) && empty($uuid))) {
            unset($this->uuid);
        } else {
            $this->uuid = $uuid;
        }
        return $this;
    }
    /**
     * Get returnedTags value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCCAProfiles|null
     */
    public function getReturnedTags()
    {
        return $this->returnedTags;
    }
    /**
     * Set returnedTags value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\RCCAProfiles $returnedTags
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetCCAProfilesReq
     */
    public function setReturnedTags(\\Losc\CucmBundle\Model\Webservice\StructType\RCCAProfiles $returnedTags = null)
    {
        $this->returnedTags = $returnedTags;
        return $this;
    }
    /**
     * Get sequence value
     * @return int|null
     */
    public function getSequence()
    {
        return $this->sequence;
    }
    /**
     * Set sequence value
     * @param int $sequence
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetCCAProfilesReq
     */
    public function setSequence($sequence = null)
    {
        $this->sequence = $sequence;
        return $this;
    }
}
